/*!
 * @module browser-dtector
 * @description A Javascript library to detect browser, version and platform
 * @version 3.0.2
 * @link https://github.com/sibiraj-s/browser-dtector.git
 * @licence MIT License, https://opensource.org/licenses/MIT
 */
function _classCallCheck(e,o){if(!(e instanceof o))throw new TypeError("Cannot call a class as a function")}function _defineProperties(e,o){for(var r=0;r<o.length;r++){var n=o[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}function _createClass(e,o,r){return o&&_defineProperties(e.prototype,o),r&&_defineProperties(e,r),e}var KnownBrowsers={chrome:"Google Chrome",crios:"Google Chrome",edge:"Microsoft Edge",edg:"Microsoft Edge",fennec:"Mozilla Firefox",jsdom:"JsDOM",mozilla:"Mozilla Firefox",msie:"Microsoft Internet Explorer",opera:"Opera",opios:"Opera",opr:"Opera",rv:"Microsoft Internet Explorer",safari:"Safari",samsungbrowser:"Samsung Browser"},KnownPlatforms={android:"Android",androidTablet:"Android Tablet",cros:"Chrome OS",fennec:"Android Tablet",ipad:"IPad",iphone:"IPhone",jsdom:"JsDOM",linux:"Linux",mac:"Macintosh",tablet:"Android Tablet",win:"Windows","windows phone":"Windows Phone",xbox:"Microsoft Xbox"},toFixed=function(e){var o=arguments.length>1&&void 0!==arguments[1]?arguments[1]:-1,r=new RegExp("^-?\\d+(?:.\\d{0,".concat(o,"})?")),n=Number(e).toString().match(r);return n?n[0]:null},utils={toFixed:toFixed},version="3.0.2",BrowserDtector=function(){function e(o){_classCallCheck(this,e),this.userAgent=o||("undefined"!=typeof window?window.navigator.userAgent:null)}return _createClass(e,[{key:"parseUserAgent",value:function(e){var o,r,n={},i=e||this.userAgent||"",t=i.toLowerCase().replace(/\s\s+/g," "),a=/(edge)\/([\w.]+)/.exec(t)||/(edg)[/]([\w.]+)/.exec(t)||/(opr)[/]([\w.]+)/.exec(t)||/(jsdom)[/]([\w.]+)/.exec(t)||/(samsungbrowser)[/]([\w.]+)/.exec(t)||/(chrome)[/]([\w.]+)/.exec(t)||/(crios)[/]([\w.]+)/.exec(t)||/(opios)[/]([\w.]+)/.exec(t)||/(version)(applewebkit)[/]([\w.]+).*(safari)[/]([\w.]+)/.exec(t)||/(webkit)[/]([\w.]+).*(version)[/]([\w.]+).*(safari)[/]([\w.]+)/.exec(t)||/(applewebkit)[/]([\w.]+).*(safari)[/]([\w.]+)/.exec(t)||/(webkit)[/]([\w.]+)/.exec(t)||/(opera)(?:.*version|)[/]([\w.]+)/.exec(t)||/(msie) ([\w.]+)/.exec(t)||/(fennec)[/]([\w.]+)/.exec(t)||t.indexOf("trident")>=0&&/(rv)(?::| )([\w.]+)/.exec(t)||t.indexOf("compatible")<0&&/(mozilla)(?:.*? rv:([\w.]+)|)/.exec(t)||[],s=/(ipad)/.exec(t)||/(ipod)/.exec(t)||/(iphone)/.exec(t)||/(jsdom)/.exec(t)||/(windows phone)/.exec(t)||/(xbox)/.exec(t)||/(win)/.exec(t)||/(tablet)/.exec(t)||/(android)/.test(t)&&!1===/(mobile)/.test(t)&&["androidTablet"]||/(android)/.exec(t)||/(mac)/.exec(t)||/(linux)/.exec(t)||/(cros)/.exec(t)||[],l=a[5]||a[3]||a[1]||null,c=s[0]||null,d=a[4]||a[2]||null;l&&(n[l]=!0),c&&(n[c]=!0);var w=!!(n.tablet||n.android||n.androidTablet),u=!!(n.ipad||n.tablet||n.androidTablet),x=!!(n.android||n.androidTablet||n.tablet||n.ipad||n.ipod||n.iphone||n["windows phone"]),p=!!(n.cros||n.mac||n.linux||n.win),f=!!(n.chrome||n.crios||n.opr||n.safari||n.edg),m=!(!n.msie&&!n.rv);return{name:null!==(o=KnownBrowsers[l])&&void 0!==o?o:null,platform:null!==(r=KnownPlatforms[c])&&void 0!==r?r:null,userAgent:i,version:d,shortVersion:d?utils.toFixed(parseFloat(d),2):null,isAndroid:w,isTablet:u,isMobile:x,isDesktop:p,isWebkit:f,isIE:m}}},{key:"getBrowserInfo",value:function(){var e=this.parseUserAgent();return{name:e.name,platform:e.platform,userAgent:e.userAgent,version:e.version,shortVersion:e.shortVersion}}}],[{key:"VERSION",get:function(){return version}}]),e}();export default BrowserDtector;
//# sourceMappingURL=browser-dtector.esm.min.js.map
